Bug 402141 - Review Request: tokyocabinet - A modern implementation of a DBM
Review Request: tokyocabinet - A modern implementation of a DBM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 448233 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 23:21 EST by Deji Akingunola
Modified: 2015-02-12 13:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 10:05:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2007-11-27 23:21:20 EST
Spec URL: ftp://czar.eas.yorku.ca/pub/tokyocabinet/tokyocabinet.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tokyocabinet/tokyocabinet-1.0.6-1.fc9.src.rpm
Description: 
Tokyo Cabinet is a library of routines for managing a database. It is the 
successor of QDBM. Tokyo Cabinet runs very fast. For example, the time required
to store 1 million records is 1.5 seconds for a hash database and 2.2 seconds
for a B+ tree database. Moreover, the database size is very small and can be up
to 8EB. Furthermore, the scalability of Tokyo Cabinet is great.
Comment 1 Mamoru TASAKA 2007-11-28 07:12:51 EST
Thank you for submitting tokyocabinet as the maintainer of qdbm
on Fedora.

By the way, 
- would you have any plans to support perl/ruby/java
  bindings for tokyocabinet?
- It seems that the newest version is 1.0.8.
Comment 2 Mamoru TASAKA 2007-11-28 08:22:09 EST
For 1.0.6-1:

* location of header files
  - I suggest to hide all header files under %_includedir/%name
    (this also requires some fixes for installed header files and
     .pc file).

* Libs in tokyocabinet.pc
-----------------------------------------------------------
Libs: -lz -lpthread -lm -lc
-----------------------------------------------------------
  - should all be unneeded
     as linkage is already done and no header files in
     tokyocabinet-devel requires header files in zlib-devel
     or so.

* .3 man files
  - should be moved to -devel subpackage.
Comment 3 Deji Akingunola 2007-11-28 09:12:20 EST
(In reply to comment #1)
> Thank you for submitting tokyocabinet as the maintainer of qdbm
> on Fedora.
> 
> By the way, 
> - would you have any plans to support perl/ruby/java
>   bindings for tokyocabinet?
I have no plans for packaging the bindings at the moment, it'll have been much
easier if they are all in one source package.

> - It seems that the newest version is 1.0.8.
They just released this (while i was in bed).

Comment 4 Deji Akingunola 2007-11-28 09:38:28 EST
(In reply to comment #2)
> For 1.0.6-1:
> 
> * location of header files
>   - I suggest to hide all header files under %_includedir/%name
>     (this also requires some fixes for installed header files and
>      .pc file).
>
May I ask why?
 
> * Libs in tokyocabinet.pc
> -----------------------------------------------------------
> Libs: -lz -lpthread -lm -lc
> -----------------------------------------------------------
>   - should all be unneeded
>      as linkage is already done and no header files in
>      tokyocabinet-devel requires header files in zlib-devel
>      or so.
>
I'm really inclined to let these alone (upstream must have had a reason for
putting them there). But leaving -lz there would necessitate adding a require
for zlib-devel, so I'll patch out Libs in the .pc for now.

> * .3 man files
>   - should be moved to -devel subpackage.
Moved. Thanks
Comment 5 Mamoru TASAKA 2007-11-28 09:48:57 EST
(In reply to comment #4)
> (In reply to comment #2)
> > For 1.0.6-1:
> > 
> > * location of header files
> >   - I suggest to hide all header files under %_includedir/%name
> >     (this also requires some fixes for installed header files and
> >      .pc file).
> >
> May I ask why?
  This is because this surely decreases the risk of the namespace conflict
  of header files. 
Comment 6 Deji Akingunola 2007-11-28 10:22:17 EST
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #2)
> > > For 1.0.6-1:
> > > 
> > > * location of header files
> > >   - I suggest to hide all header files under %_includedir/%name
> > >     (this also requires some fixes for installed header files and
> > >      .pc file).
> > >
> > May I ask why?
>   This is because this surely decreases the risk of the namespace conflict
>   of header files. 

Since there are just 3 of these header files with a rather 'distinct' name, I'll
say we should just leave them in the default location. If any other package in
the future will have the same name, then anyone putting them in should go the
length of changing it namespace. (I've had a package where moving the header
location from where upstream put it have caused issues.)

version 1.0.8 files uploaded at;
Spec URL: ftp://czar.eas.yorku.ca/pub/tokyocabinet/tokyocabinet.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tokyocabinet/tokyocabinet-1.0.8-1.fc9.src.rpm
Comment 7 Mamoru TASAKA 2007-11-29 02:59:32 EST
Okay.

--------------------------------------------------------
  This package (tokyocabinet) is APPROVED by me
--------------------------------------------------------

I would appreciate it if you would add myself to owners list.
It may be that I will try to support bindings if I can spare
some time.
Comment 8 Deji Akingunola 2007-11-29 09:03:50 EST
New Package CVS Request
=======================
Package Name: tokyocabinet
Short Description: A modern implementation of a DBM
Owners: deji,mtasaka
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-11-29 15:03:30 EST
cvs done.
Comment 10 Mamoru TASAKA 2007-12-03 07:43:46 EST
Please close this bug when rebuild and request on koji is done.
Comment 11 Deji Akingunola 2007-12-03 10:05:11 EST
(In reply to comment #10)
> Please close this bug when rebuild and request on koji is done.

Thanks for reminding me, and thanks for doing the review too.
Comment 12 Mamoru TASAKA 2007-12-16 09:15:02 EST
Info:

Current version is 1.1.3.
Comment 13 Mamoru TASAKA 2008-05-24 23:13:28 EDT
*** Bug 448233 has been marked as a duplicate of this bug. ***
Comment 14 Deji Akingunola 2009-03-02 10:08:00 EST
Package Change Request
======================
Package Name: tokyocabinet
New Branches: EL-5
Owners: deji
Comment 15 Kevin Fenzi 2009-03-02 19:42:39 EST
cvs done.
Comment 16 Robert Scheck 2015-02-12 08:43:37 EST
Package Change Request
======================
Package Name: tokyocabinet
New Branches: EL-5
Owners: robert


Goal is the unretirement of tokyocabinet on EL-5.
Comment 17 Jon Ciesla 2015-02-12 13:17:34 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.